## subuser 0.5.8

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

command-docs:
	cd commands ; ./generate-command-docs.py
	echo DONE GENERATING COMMAND DOCS

pylint:
	cd ../logic ; pylint --disable=C0111,C0301,C0103,C0322,C0323,C0324,R0913,R0903,R0904,superfluous-parens,bad-continuation,unused-variable,too-many-branches,too-many-locals,bad-builtin,deprecated-lambda,locally-disabled --indent-string='  ' subuserlib/ > ../docs/developers/pylint.rst ; echo DONE GENERATING PYLINT OUTPUT
	./developers/restructure-pylint-output

developers/images:
	mkdir developers/images ; echo IMAGES DIR CREATED

news/images:
	mkdir news/images ; echo IMAGES DIR CREATED

developers/images/object-hierarchy.png: developers/object-hierarchy.uxf developers/images
	umlet -action=convert -format=png -filename=developers/object-hierarchy.uxf -output=developers/images/object-hierarchy

news/images/x11-bridge.png: news/x11-bridge.uxf news/images
	umlet -action=convert -format=png -filename=news/x11-bridge.uxf -output=news/images/x11-bridge

news/images/virtualbox.png: news/virtualbox.uxf news/images
	umlet -action=convert -format=png -filename=news/virtualbox.uxf -output=news/images/virtualbox

news/images/wayland.png: news/wayland.uxf news/images
	umlet -action=convert -format=png -filename=news/wayland.uxf -output=news/images/wayland

sphynx:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) . $(BUILDDIR)/html

html: command-docs pylint community.rst developers/contributing.rst developers/images/object-hierarchy.png news/images/x11-bridge.png  news/images/virtualbox.png news/images/wayland.png sphynx
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

release: html
	rm _build/html/_static/images/subuser-vision.mp4

deploy:
	./deploy.sh

clean:
	rm -rf _build/

## subuser 0.5.7

=== debian/changelog ===
subuser (0.5.7-1) unstable; urgency=medium

  * Initial release. (Closes: #820689)

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Wed, 15 Jun 2016 01:32:35 +0200

=== debian/control ===
Source: subuser
Section: admin
Priority: optional
Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
Build-Depends: debhelper (>= 9), dh-python, python3, python3-sphinx, python3-setuptools
Standards-Version: 3.9.8
Homepage: http://subuser.org

Package: subuser
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, git, docker.io
Description: Run programs on Linux with selectively restricted permissions
 Subuser turns a docker container into a normal program, but this program 
 is not fully privileged, it can only access the directory 
 from which it was called.

## subuser 0.5.11

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 
 release: html
 	rm _build/html/_static/images/subuser-vision.mp4
+	rm _build/html/_static/images/subuser-dev-freecad.mp4
 
 deploy:
 	./deploy.sh

=== debian/changelog ===
subuser (0.5.11-1) unstable; urgency=medium

  * New upstream release
  * Fix: initialization bug if git is not initialized

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Fri, 01 Jul 2016 13:58:11 +0200

subuser (0.5.8-1) unstable; urgency=medium

  * New upstream release
  * Fix: bad bug in update/repair code which cased repair operations to fail

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Wed, 29 Jun 2016 16:15:32 +0200

subuser (0.5.7-2) unstable; urgency=medium

  * Add missing doc depends. (Closes: #828743)

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Mon, 27 Jun 2016 14:07:47 +0200

## subuser 0.5.12

=== debian/changelog ===
subuser (0.5.12-1) unstable; urgency=medium

  * New upstream release
  * Fix: xpra-x11 bridge compatibility with current docker version

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Tue, 02 Aug 2016 21:47:35 +0200

## subuser 0.5.13

=== debian/changelog ===
subuser (0.5.13-1) unstable; urgency=medium

  * New upstream release
  * fix broken lock-subuser-to command
  * Slight performance tweeks

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Tue, 09 Aug 2016 22:11:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: subuser
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources, git, docker.io
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, ${python3:Depends}, python3-pkg-resources, git, docker.io
 Description: Run programs on Linux with selectively restricted permissions
  Subuser turns a docker container into a normal program, but this program 
  is not fully privileged, it can only access the directory

## subuser 0.6.0

=== debian/changelog ===
subuser (0.6.0-1ubuntu1) zesty; urgency=medium

  * Use system sphinx-rtd-theme instead of the bundled one.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 07 Feb 2017 23:35:24 +0300

subuser (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Fix permissions when call repair option
  * Support running with sudo
  * QubeOS style window

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Fri, 27 Jan 2017 21:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: subuser
 Section: admin
 Priority: optional
-Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
-Build-Depends: debhelper (>= 9), dh-python, python3, python3-sphinx, python3-setuptools
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
+Build-Depends: debhelper (>= 9), dh-python, python3, python3-sphinx, python3-sphinx-rtd-theme, python3-setuptools
 Standards-Version: 3.9.8
 Homepage: http://subuser.org

## subuser 0.6.1

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,10 @@
 sphynx:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) . $(BUILDDIR)/html
 
-html: command-docs pylint community.rst developers/contributing.rst developers/images/object-hierarchy.png news/images/x11-bridge.png  news/images/virtualbox.png news/images/wayland.png sphynx
+copy-images:
+	cp images/* _build/html/_images/
+
+html: command-docs pylint community.rst developers/contributing.rst developers/images/object-hierarchy.png news/images/x11-bridge.png  news/images/virtualbox.png news/images/wayland.png sphynx copy-images
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
subuser (0.6.1-3) unstable; urgency=medium

  * add python3-sphinx-rtd-theme in Build-Depends

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Tue, 21 Feb 2017 19:53:59 +0100

subuser (0.6.1-2) unstable; urgency=medium

  * use system sphinx_rtd_theme (Closes: #854608)
  * Thanks Dmitry Shachnev to report

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Tue, 21 Feb 2017 09:06:28 +0100

subuser (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Create registry correctly when using sudo

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Thu, 09 Feb 2017 22:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: subuser
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
+Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
 Build-Depends: debhelper (>= 9), dh-python, python3, python3-sphinx, python3-sphinx-rtd-theme, python3-setuptools
 Standards-Version: 3.9.8
 Homepage: http://subuser.org

## subuser 0.6.2

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+
+subuser-standard/permissions-dot-json-file-format.rst: ../logic/subuserlib/permissions.py
+	cd subuser-standard ; ./generate-permissions-rst.py
+	echo DONE GENERATING PERMISSION DOCS
 
 command-docs:
 	cd commands ; ./generate-command-docs.py
@@ -39,7 +43,7 @@
 copy-images:
 	cp images/* _build/html/_images/
 
-html: command-docs pylint community.rst developers/contributing.rst developers/images/object-hierarchy.png news/images/x11-bridge.png  news/images/virtualbox.png news/images/wayland.png sphynx copy-images
+html: subuser-standard/permissions-dot-json-file-format.rst command-docs pylint community.rst developers/contributing.rst developers/images/object-hierarchy.png news/images/x11-bridge.png  news/images/virtualbox.png news/images/wayland.png sphynx copy-images
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== debian/changelog ===
subuser (0.6.2-3) unstable; urgency=medium

   * Sanity debian packaging

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Thu, 13 Dec 2018 22:10:18 +0100

subuser (0.6.2-2) unstable; urgency=medium

   * Fix packaging rules

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Thu, 13 Dec 2018 22:06:03 +0100

subuser (0.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Stanislas Leduc <stanislas.leduc@mailoo.org>  Thu, 13 Dec 2018 22:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Stanislas Leduc <stanislas.leduc@mailoo.org>
-Build-Depends: debhelper (>= 9), dh-python, python3, python3-sphinx, python3-sphinx-rtd-theme, python3-setuptools
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), dh-python, python3, python3-sphinx, python3-sphinx-rtd-theme, python3-setuptools
+Standards-Version: 4.2.1
 Homepage: http://subuser.org
 
 Package: subuser

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf subuser.egg-info
	dh_auto_clean 

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://subuser.org/rel/subuser-(.+)\.tar\.gz
